package net.pricefx.common.api.pa;

public enum LoadMode {
	// job generates all the rows, values for all fields
	// target is truncated before result is loaded
	// duplicate rows (:= with identical values for the key fields) are removed
	FULL,

	// job generates additional rows, with values for all fields
	// existing rows can be replaced by creating duplicates (with a more recent lastUpdateDate)
	// rows can be deleted by setting isDeleted=true
	INCREMENTAL,

	// job generates values for fields not sourced from anywhere else, only for existing rows
	// no rows can be added or deleted
	ENRICHMENT,

	// Like enrichment but the calculated fields, which must be numeric, are accumulated.
	// A typical example is allocation of rebate amounts, where each rebate record contributes an amount to the transactions used to determine the accrual.
	ALLOCATION
}
